From c8cfe0ee155bc2bb97ea7dadf9dbb692b8c04e28 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Apr 2025 09:37:10 +0000
Subject: [PATCH] libjpeg-turbo: upgrade 3.0.1 -> 3.1.0

---
 ...-turbo_3.0.1.bb => libjpeg-turbo_3.1.0.bb} | 91 ++++++++++++++++++-
 1 file changed, 89 insertions(+), 2 deletions(-)
 rename meta/recipes-graphics/jpeg/{libjpeg-turbo_3.0.1.bb => libjpeg-turbo_3.1.0.bb} (42%)

diff --git a/meta/recipes-graphics/jpeg/libjpeg-turbo_3.0.1.bb b/meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.0.bb
similarity index 42%
rename from meta/recipes-graphics/jpeg/libjpeg-turbo_3.0.1.bb
rename to meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.0.bb
index 56bab4daca..8e7cda14bc 100644
--- a/meta/recipes-graphics/jpeg/libjpeg-turbo_3.0.1.bb
+++ b/meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.0.bb
@@ -1,15 +1,102 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.md
+# +++ LICENSE.md
+# @@ -1,30 +1,33 @@
+#  libjpeg-turbo Licenses
+#  ======================
+#  
+# -libjpeg-turbo is covered by three compatible BSD-style open source licenses:
+# +libjpeg-turbo is covered by two compatible BSD-style open source licenses:
+#  
+#  - The IJG (Independent JPEG Group) License, which is listed in
+#    [README.ijg](README.ijg)
+#  
+# -  This license applies to the libjpeg API library and associated programs
+# -  (any code inherited from libjpeg, and any modifications to that code.)
+# +  This license applies to the libjpeg API library and associated programs,
+# +  including any code inherited from libjpeg and any modifications to that
+# +  code.  Note that the libjpeg-turbo SIMD source code bears the
+# +  [zlib License](https://opensource.org/licenses/Zlib), but in the context of
+# +  the overall libjpeg API library, the terms of the zlib License are subsumed
+# +  by the terms of the IJG License.
+#  
+#  - The Modified (3-clause) BSD License, which is listed below
+#  
+# -  This license covers the TurboJPEG API library and associated programs, as
+# -  well as the build system.
+# -
+# -- The [zlib License](https://opensource.org/licenses/Zlib)
+# -
+# -  This license is a subset of the other two, and it covers the libjpeg-turbo
+# -  SIMD extensions.
+# +  This license applies to the TurboJPEG API library and associated programs, as
+# +  well as the build system.  Note that the TurboJPEG API library wraps the
+# +  libjpeg API library, so in the context of the overall TurboJPEG API library,
+# +  both the terms of the IJG License and the terms of the Modified (3-clause)
+# +  BSD License apply.
+#  
+#  
+#  Complying with the libjpeg-turbo Licenses
+#  =========================================
+#  
+#  This section provides a roll-up of the libjpeg-turbo licensing terms, to the
+# -best of our understanding.
+# +best of our understanding.  This is not a license in and of itself.  It is
+# +intended solely for clarification.
+#  
+#  1.  If you are distributing a modified version of the libjpeg-turbo source,
+#      then:
+# @@ -38,7 +41,7 @@
+#          - Clauses 1 and 3 of the zlib License
+#  
+#      2.  You must add your own copyright notice to the header of each source
+# -        file you modified, so others can tell that you modified that file (if
+# +        file you modified, so others can tell that you modified that file.  (If
+#          there is not an existing copyright header in that file, then you can
+#          simply add a notice stating that you modified the file.)
+#  
+# @@ -91,7 +94,7 @@
+#  The Modified (3-clause) BSD License
+#  ===================================
+#  
+# -Copyright (C)2009-2023 D. R. Commander.  All Rights Reserved.<br>
+# +Copyright (C)2009-2024 D. R. Commander.  All Rights Reserved.<br>
+#  Copyright (C)2015 Viktor Szathmáry.  All Rights Reserved.
+#  
+#  Redistribution and use in source and binary forms, with or without
+# @@ -119,8 +122,8 @@
+#  POSSIBILITY OF SUCH DAMAGE.
+#  
+#  
+# -Why Three Licenses?
+# -===================
+# +Why Two Licenses?
+# +=================
+#  
+#  The zlib License could have been used instead of the Modified (3-clause) BSD
+#  License, and since the IJG License effectively subsumes the distribution
+# 
+#
+
 SUMMARY = "Hardware accelerated JPEG compression/decompression library"
 DESCRIPTION = "libjpeg-turbo is a derivative of libjpeg that uses SIMD instructions (MMX, SSE2, NEON) to accelerate baseline JPEG compression and decompression"
 HOMEPAGE = "http://libjpeg-turbo.org/"
 
 LICENSE = "IJG & BSD-3-Clause & Zlib"
-LIC_FILES_CHKSUM = "file://LICENSE.md;md5=2a8e0d8226a102f07ab63ed7fd6ce155"
+LIC_FILES_CHKSUM = "file://LICENSE.md;md5=023c2e8942020502d6ea709e2a5453f7"
 
 DEPENDS:append:x86-64:class-target = " nasm-native"
 DEPENDS:append:x86:class-target = " nasm-native"
 
 SRC_URI = "${GITHUB_BASE_URI}/download/${PV}/${BP}.tar.gz"
-SRC_URI[sha256sum] = "22429507714ae147b3acacd299e82099fce5d9f456882fc28e252e4579ba2a75"
+SRC_URI[sha256sum] = "9564c72b1dfd1d6fe6274c5f95a8d989b59854575d4bbee44ade7bc17aa9bc93"
 
 PE = "1"
 
-- 
2.47.1

